[Touch-packages] [Bug 1991146] Re: ibus-daemon crashed with SIGABRT

2022-09-28 Thread Gunnar Hjalmarsson
** Attachment removed: "CoreDump.gz" https://bugs.launchpad.net/ubuntu/+source/ibus/+bug/1991146/+attachment/5619840/+files/CoreDump.gz ** Information type changed from Private to Public -- You received this bug notification because you are a member of Ubuntu Touch seeded packages, which is

[Touch-packages] [Bug 1976255] Re: accountsservice ftbfs in the jammy release pocket

2022-05-30 Thread Gunnar Hjalmarsson
This was fixed via accountsservice 22.07.5-2ubuntu1.3 in jammy-updates. ** Changed in: accountsservice (Ubuntu) Status: New => Fix Released -- You received this bug notification because you are a member of Ubuntu Touch seeded packages, which is subscribed to accountsservice in Ubuntu.

[Touch-packages] [Bug 1974250] Re: ~/.pam_environment gets created as owned by root

2022-05-27 Thread Gunnar Hjalmarsson
On 2022-05-20 16:54, Marc Deslauriers wrote: > Or remove those scripts from Debian completely...looks like they > were added because of https://bugs.debian.org/cgi- > bin/bugreport.cgi?bug=756259 , but muon doesn't seem to use them > anymore... FTR I removed 0009-language-tools.patch from

[Touch-packages] [Bug 1974250] Re: ~/.pam_environment gets created as owned by root

2022-05-24 Thread Gunnar Hjalmarsson
** Changed in: accountsservice (Ubuntu Kinetic) Status: Confirmed => Fix Committed -- You received this bug notification because you are a member of Ubuntu Touch seeded packages, which is subscribed to accountsservice in Ubuntu. https://bugs.launchpad.net/bugs/1974250 Title:

[Touch-packages] [Bug 1974217] Re: ibus not detecting other languages other than default english

2022-05-19 Thread Gunnar Hjalmarsson
Thanks for your report. Which ibus applet are you talking about? On Ubuntu with the GNOME desktop you are supposed to add IBus input methods via Settings -> Keyboard -> Input Sources. Please let us know whether that helps. ** Changed in: ibus (Ubuntu) Status: New => Incomplete -- You

[Touch-packages] [Bug 1973424] Re: ibus-extension-gtk3 does not start automatically

2022-05-14 Thread Gunnar Hjalmarsson
*** This bug is a duplicate of bug 1969637 *** https://bugs.launchpad.net/bugs/1969637 Thanks for your report! If you install gnome-settings-daemon 42.1-1ubuntu2.1 from jammy- proposed, the issue will hopefully go away. Please let us know if that is not sufficient. Marking this bug as a

[Touch-packages] [Bug 1892825] Re: update-locale not perform correctly sanity checks

2022-05-11 Thread Gunnar Hjalmarsson
This was fixed in devel (and with that jammy) through the upload of glibc 2.35-0ubuntu1, even if it wasn't mentioned in d/changelog. So marking as fixed. ** Changed in: glibc (Ubuntu) Status: In Progress => Fix Released -- You received this bug notification because you are a member of

[Touch-packages] [Bug 1969396] Re: Can't use Right Alt as compose key with English (Dvorak, alt. intl.) layout

2022-04-27 Thread Gunnar Hjalmarsson
Now I have tested a bit more back and forth, and here is a new attempt to describe the nature of the issue: Whether Right Alt works as the compose key or not depends mostly on where in the list of input sources the keyboard layout in effect is present. If the layout in effect is the first one in

[Touch-packages] [Bug 1969396] Re: Can't use Right Alt as compose key with English (Dvorak, alt. intl.) layout

2022-04-19 Thread Gunnar Hjalmarsson
I concluded that the description was related to the use of the us+dvorak-alt-intl layout, and not to g-c-c setting incorrect options. Observations from use of the us+intl layout: Alternate Characters Key to None $ gsettings get org.gnome.desktop.input-sources

[Touch-packages] [Bug 1969396] Re: gnome-control-center compose key setting does not set compose key

2022-04-19 Thread Gunnar Hjalmarsson
>> 1. Which keyboard layout are you using? > > English (Dvorak, alt. intl.) There is something with that layout. With that enabled I can reproduce the problem. Both on jammy and impish. >> 2. What happens if you drop the 'lv3:none' option, so you only have: >> ['altwin:menu', 'compose:ralt'] >

[Touch-packages] [Bug 1968478] Re: ibus-x11 crashed with SIGSEGV in g_closure_invoke()

2022-04-10 Thread Gunnar Hjalmarsson
Thanks for your report. I'm not sure if it's related, but accidentally I have just uploaded a fix of bug #1968459. It would be good if you could upgrade to ibus 1.5.26-4 when it becomes available, and let us know if the problem persists with that version. ** Changed in: ibus (Ubuntu)

[Touch-packages] [Bug 1968478] Re: ibus-x11 crashed with SIGSEGV in g_closure_invoke()

2022-04-10 Thread Gunnar Hjalmarsson
** Attachment removed: "CoreDump.gz" https://bugs.launchpad.net/ubuntu/+source/ibus/+bug/1968478/+attachment/5578958/+files/CoreDump.gz ** Information type changed from Private to Public -- You received this bug notification because you are a member of Ubuntu Touch seeded packages, which is

[Touch-packages] [Bug 1968459] Re: IBus 1.5.26 does not enable on Xorg sesson

2022-04-10 Thread Gunnar Hjalmarsson
med => In Progress ** Changed in: ibus (Ubuntu) Assignee: (unassigned) => Gunnar Hjalmarsson (gunnarhj) -- You received this bug notification because you are a member of Ubuntu Touch seeded packages, which is subscribed to ibus in Ubuntu. https://bugs.launchpad.net/bugs/1968459 Titl

[Touch-packages] [Bug 1965563] Re: gnome-extensions-app fails to start (Protocol error)

2022-03-30 Thread Gunnar Hjalmarsson
I see a similar error message when trying to start yelp: $ yelp Gdk-Message: 01:23:31.232: Error flushing display: Protocol error $ gnome-extensions-app Gdk-Message: 01:23:48.075: Error reading events from display: Protocol error -- You received this bug notification because you are a member of

[Touch-packages] [Bug 1966552] Re: IBus input method candidate box cannot follow the cursor

2022-03-29 Thread Gunnar Hjalmarsson
** Bug watch added: github.com/ibus/ibus/issues #2391 https://github.com/ibus/ibus/issues/2391 ** Also affects: ibus via https://github.com/ibus/ibus/issues/2391 Importance: Unknown Status: Unknown -- You received this bug notification because you are a member of Ubuntu Touch

[Touch-packages] [Bug 1965563] Re: gnome-extensions-app fails to start (Protocol error)

2022-03-29 Thread Gunnar Hjalmarsson
I installed version 42.0-1ubuntu1 of the mutter and gnome-shell packages. Didn't help, neither on Wayland nor Xorg. -- You received this bug notification because you are a member of Ubuntu Touch seeded packages, which is subscribed to mesa in Ubuntu. https://bugs.launchpad.net/bugs/1965563

[Touch-packages] [Bug 1966552] Re: IBus input method candidate box cannot follow the cursor

2022-03-27 Thread Gunnar Hjalmarsson
Ok, so setting "GTK_IM_MODULE=ibus" would work around the issue. That's valuable knowledge, and thank you for figuring it out. Unfortunately you are not supposed to set that variable explicitly on a GNOME desktop, and especially not in a Wayland session. Doing so has adverse side effects, so we

[Touch-packages] [Bug 1966552] Re: IBus input method candidate box cannot follow the cursor

2022-03-27 Thread Gunnar Hjalmarsson
In any case using /etc/environment on Ubuntu for this purpose won't happen. But maybe your finding can be helpful in figuring out a proper fix. Can you please clean up your /etc/environment from IM related variables, reboot, and run this command: env | grep -E 'XMOD|_IM' Probably it outputs:

[Touch-packages] [Bug 1966552] Re: IBus input method candidate box cannot follow the cursor

2022-03-27 Thread Gunnar Hjalmarsson
I doubt that. The page you linked to does not apply to Debian/Ubuntu systems. On GNOME desktops (including Ubuntu) we let GNOME set the required environment variables, and on other desktops they are set via the im-config package. Also, I don't understand how the page is related to the problem

[Touch-packages] [Bug 1966552] Re: IBus input method candidate box cannot follow the cursor

2022-03-26 Thread Gunnar Hjalmarsson
Thanks for your report! I tested on some applications shipped with Ubuntu by default (LibreOffice Writer, Firefox, gedit, gnome-terminal) and couldn't reproduce the issue. On Wayland session (not Xorg) I did notice that if I open e.g. gedit or LibreOffice Writer, the candidate window may be shown

[Touch-packages] [Bug 1966356] Re: ibus input method not working

2022-03-24 Thread Gunnar Hjalmarsson
I can't reproduce it either. It can be noted that a (possible) issue on standard Ubuntu related to how ibus-daemon is started is not an issue with ibus but rather with gnome-shell. Anyway, this is a bit odd: $ env | grep -i type XDG_SESSION_TYPE=x11 $ ps ux | grep ibus-daemon gunnar 2932

[Touch-packages] [Bug 1965993] Re: Remove Ubuntu Pro settings

2022-03-23 Thread Gunnar Hjalmarsson
Sebastien subscribed me to this bug, but I'm not sure why. Robert has already posted about it to the ubuntu-translators list. The feature is not mentioned in Ubuntu Desktop Guide. -- You received this bug notification because you are a member of Ubuntu Touch seeded packages, which is subscribed

[Touch-packages] [Bug 1965609] Re: Not all Hunngarian keyboard layouts' name translated to Hungarian layout

2022-03-19 Thread Gunnar Hjalmarsson
Thanks for your report. In xkeyboard-config the string representing the first of those layout variants looks like this: "Hungarian (101/QWERTY/comma/dead keys)" And that string has a Hungarian translation: https://translations.launchpad.net/ubuntu/jammy/+source/xkeyboard-

[Touch-packages] [Bug 1965609] Re: Several Hungarian keyboard layout labels untranslated

2022-03-19 Thread Gunnar Hjalmarsson
(Possibly it's a bug in the gnome-desktop package. But let's report it to gnome-control-center, and have upstream sort it.) -- You received this bug notification because you are a member of Ubuntu Touch seeded packages, which is subscribed to xkeyboard-config in Ubuntu.

[Touch-packages] [Bug 1965610] Re: Extra layouts don't work on Hungarian UI

2022-03-19 Thread Gunnar Hjalmarsson
You should run that command without "sudo". gsettings set org.gnome.desktop.input-sources show-all-sources true ** Package changed: xkeyboard-config (Ubuntu) => gnome-control-center (Ubuntu) ** Changed in: gnome-control-center (Ubuntu) Status: New => Invalid -- You received this bug

[Touch-packages] [Bug 1895454] Re: ibus indicator is unreadable, and the dropdown doesn't clarify what option is selected

2022-03-15 Thread Gunnar Hjalmarsson
Change of default color included in ibus 1.5.26-2. ** Changed in: ibus (Ubuntu) Status: Fix Committed => Fix Released -- You received this bug notification because you are a member of Ubuntu Touch seeded packages, which is subscribed to ibus in Ubuntu.

[Touch-packages] [Bug 1964682] Re: IBus not starting properly at login to wayland with gnome-shell 42

2022-03-14 Thread Gunnar Hjalmarsson
systemd in Build-Depends seems to be it. Thanks Mitsuya and Jeremy! Uploaded again and keeping my fingers crossed. -- You received this bug notification because you are a member of Ubuntu Touch seeded packages, which is subscribed to ibus in Ubuntu. https://bugs.launchpad.net/bugs/1964682

[Touch-packages] [Bug 1964682] Re: IBus not starting properly at login to wayland with gnome-shell 42

2022-03-14 Thread Gunnar Hjalmarsson
Yeah, I too think it looks like bug fixes only. But there is a problem: Salsa's pipeline shows a build failure: https://salsa.debian.org/debian/ibus/-/pipelines/358170 But since I already had built successfully in a jammy PPA: https://launchpad.net/~gunnarhj/+archive/ubuntu/ibus/+packages and

[Touch-packages] [Bug 1964682] Re: IBus not starting properly at login to wayland with gnome-shell 42

2022-03-14 Thread Gunnar Hjalmarsson
Upstream just released ibus 1.5.26. I tested it in jammy, and it proved to solve this issue. I'm about to upload to unstable. Maybe somebody can decide if it can be considered a bug fix release which can be synced without a FFe request: https://github.com/ibus/ibus/releases/tag/1.5.26 -- You

[Touch-packages] [Bug 1964682] Re: IBus not starting properly at login with gnome-shell 42

2022-03-13 Thread Gunnar Hjalmarsson
The issue only happens when logging in to a wayland session. Also, I stumbled upon this upstream gtk issue: https://gitlab.gnome.org/GNOME/gtk/-/issues/4699 Currently we install ibus-gtk4 by default (ibus recommends it), which is my 'fault'. Assumed that it should be consistent with how

[Touch-packages] [Bug 1964682] Re: IBus not starting properly at login with gnome-shell 42

2022-03-12 Thread Gunnar Hjalmarsson
A no-change rebuild of ibus doesn't help. -- You received this bug notification because you are a member of Ubuntu Touch seeded packages, which is subscribed to ibus in Ubuntu. https://bugs.launchpad.net/bugs/1964682 Title: IBus not starting properly at login with gnome-shell 42 Status in

[Touch-packages] [Bug 1964682] [NEW] IBus not starting properly at login with gnome-shell 42

2022-03-12 Thread Gunnar Hjalmarsson
Public bug reported: To get to the state in the bug summary I did: 1. Installed Ubuntu via the 220312 ISO 2. Made sure that all packages were updated 3. Installed ibus-libpinyin, re-logged in, and added "Intelligent Pinyin" to the input sources 4. Enabled -proposed 5. Run this command: sudo

[Touch-packages] [Bug 1895454] Re: ibus indicator is unreadable, and the dropdown doesn't clarify what option is selected

2022-01-31 Thread Gunnar Hjalmarsson
Color changed upstream: https://github.com/ibus/ibus/commit/0e118e7e ** Bug watch added: github.com/ibus/ibus/issues #2364 https://github.com/ibus/ibus/issues/2364 ** Also affects: ibus via https://github.com/ibus/ibus/issues/2364 Importance: Unknown Status: Unknown ** Changed

[Touch-packages] [Bug 1794869] Re: ibus-daemon crashed with SIGABRT in g_assertion_message_expr()

2022-01-19 Thread Gunnar Hjalmarsson
*** This bug is a duplicate of bug 1545811 *** https://bugs.launchpad.net/bugs/1545811 The duplicate bug is old, and it's open now. -- You received this bug notification because you are a member of Ubuntu Touch seeded packages, which is subscribed to ibus in Ubuntu.

[Touch-packages] [Bug 1545811] Re: ibus-daemon crashed with SIGABRT in g_assertion_message()

2022-01-19 Thread Gunnar Hjalmarsson
** Information type changed from Private to Public -- You received this bug notification because you are a member of Ubuntu Touch seeded packages, which is subscribed to ibus in Ubuntu. https://bugs.launchpad.net/bugs/1545811 Title: ibus-daemon crashed with SIGABRT in g_assertion_message()

[Touch-packages] [Bug 1955461] Re: ibus-x11 crashed with SIGSEGV in __pthread_kill_implementation()

2021-12-21 Thread Gunnar Hjalmarsson
** Attachment removed: "CoreDump.gz" https://bugs.launchpad.net/ubuntu/+source/ibus/+bug/1955461/+attachment/5548856/+files/CoreDump.gz ** Information type changed from Private to Public -- You received this bug notification because you are a member of Ubuntu Touch seeded packages, which is

[Touch-packages] [Bug 1892825] Re: update-locale not perform correctly sanity checks

2021-12-13 Thread Gunnar Hjalmarsson
I verified the test case using locales 2.31-0ubuntu9.4 from focal- proposed. ** Tags removed: verification-needed-focal ** Tags added: verification-done-focal -- You received this bug notification because you are a member of Ubuntu Touch seeded packages, which is subscribed to pam in Ubuntu.

[Touch-packages] [Bug 1892014] Re: 18.04.14.7 regression: no alt_shift_toggle in XKBOPTIONS

2021-11-20 Thread Gunnar Hjalmarsson
Ubiquity? That sounds more like bug #1875062. -- You received this bug notification because you are a member of Ubuntu Touch seeded packages, which is subscribed to console-setup in Ubuntu. https://bugs.launchpad.net/bugs/1892014 Title: 18.04.14.7 regression: no alt_shift_toggle in XKBOPTIONS

[Touch-packages] [Bug 1950828] Re: ibus-daemon crashed with SIGABRT in g_mutex_clear().

2021-11-12 Thread Gunnar Hjalmarsson
** Attachment removed: "CoreDump.gz" https://bugs.launchpad.net/ubuntu/+source/ibus/+bug/1950828/+attachment/5540511/+files/CoreDump.gz ** Information type changed from Private to Public -- You received this bug notification because you are a member of Ubuntu Touch seeded packages, which is

[Touch-packages] [Bug 1946499] Re: SRU: GDebi - installation of deb-packages with gdebi-gtk not working at all

2021-11-06 Thread Gunnar Hjalmarsson
For the record: Version 0.64.2-3 of vte2.91, without 91_keep_fds.patch, has migrated to jammy. ** Also affects: vte2.91 (Ubuntu) Importance: Undecided Status: New ** Changed in: vte2.91 (Ubuntu) Status: New => Fix Released -- You received this bug notification because you are

[Touch-packages] [Bug 1946499] Re: installation of deb-packages with gdebi-gtk shows "dpkg: error: unable to read filedescriptor flags for : Bad file descr

2021-10-20 Thread Gunnar Hjalmarsson
On 2021-10-20 22:58, Dani Llewellyn wrote: > There are zero changes made to the strings themselves, only the line > numbers used to generate the templates changed. Thanks for explaining. Apparently I didn't look close enough. :/ Then I suppose we'd better use your small debdiff also for impish

[Touch-packages] [Bug 1926912] Re: 21.10 Impish gdebi Programm fehlt Paket?

2021-10-20 Thread Gunnar Hjalmarsson
*** This bug is a duplicate of bug 1926697 *** https://bugs.launchpad.net/bugs/1926697 ** This bug has been marked a duplicate of bug 1926697 gdebi-gtk does not start w msg 'Download failed' -- You received this bug notification because you are a member of Ubuntu Touch seeded packages,

[Touch-packages] [Bug 1946499] Re: installation of deb-packages with gdebi-gtk shows "dpkg: error: unable to read filedescriptor flags for : Bad file descr

2021-10-20 Thread Gunnar Hjalmarsson
It looks like also bug #1926697 is coincidentally about to be fixed through the fix of this bug. -- You received this bug notification because you are a member of Ubuntu Touch seeded packages, which is subscribed to gdebi in Ubuntu. https://bugs.launchpad.net/bugs/1946499 Title: installation

[Touch-packages] [Bug 1926697] Re: gdebi does not start w msg 'Download failed'

2021-10-20 Thread Gunnar Hjalmarsson
I can confirm this bug in 21.04. However, I think it's about to be coincidentally fixed through the solution to bug #1946499. At least I can successfully open gdebi-gtk in jammy (without passing a .deb file as argument), and if the SRU of the other bug gets completed it ought to be fixed in 21.10

[Touch-packages] [Bug 1946499] Re: installation of deb-packages with gdebi-gtk shows "dpkg: error: unable to read filedescriptor flags for : Bad file descr

2021-10-20 Thread Gunnar Hjalmarsson
My understanding is that it was intended for impish as well. If so, can somebody (@Norbert, @Martin, anyone...) please edit the bug description to comply with the SRU template: https://wiki.ubuntu.com/StableReleaseUpdates#SRU_Bug_Template Another thing: When uploading to Debian, I picked Dani's

[Touch-packages] [Bug 1946499] Re: installation of deb-packages with gdebi-gtk shows "dpkg: error: unable to read filedescriptor flags for : Bad file descr

2021-10-19 Thread Gunnar Hjalmarsson
@Nikola: If that issue happened also in 21.04, it's not the same issue as the one dealt with in this bug report. The latter is about a regression due to an upgrade of vte2.91. So you may want to submit a new bug report (with more details, exact error messages, etc.). -- You received this bug

[Touch-packages] [Bug 1892825] Re: update-locale not perform correctly sanity checks

2021-10-18 Thread Gunnar Hjalmarsson
@Michael: I could easily reproduce the issue at the time (a year ago). Good that it's about to be fixed. As you can see in comment #2 I first turned to Debian, but the response was a bit disappointing. Any chance that you can handle this on the Debian side too? -- You received this bug

[Touch-packages] [Bug 1946499] Re: installation of deb-packages with gdebi-gtk shows "dpkg: error: unable to read filedescriptor flags for : Bad file descr

2021-10-14 Thread Gunnar Hjalmarsson
I just uploaded Dani's gdebi fix to Debian unstable. Tested it in a PPA first: https://launchpad.net/~gunnarhj/+archive/ubuntu/gdebi/+packages With that, and for impish+1, we will be able to sync the source from Debian for both gdebi and vte2.91. The gdebi change must of course be SRUed to

[Touch-packages] [Bug 1946499] Re: installation of deb-packages with gdebi-gtk shows "dpkg: error: unable to read filedescriptor flags for : Bad file descr

2021-10-14 Thread Gunnar Hjalmarsson
@Dani: Needless to say I didn't see your patch before submitting my latest comment. This sounds very promising! :) And suddenly I understand why gdebi behaves differently in Ubuntu compared to Debian... Will test is in a minute. And yes, this means that we can simply start sync'ing vte2.91 from

[Touch-packages] [Bug 1946499] Re: installation of deb-packages with gdebi-gtk shows "dpkg: error: unable to read filedescriptor flags for : Bad file descr

2021-10-14 Thread Gunnar Hjalmarsson
The downgrade idea would need to be approved by some leading member of Ubuntu's desktop team, and since 21.10 is released today, also the SRU team would need to approve it. (You already know what I think the answer will be.) It's correct that I have helped with some routine packaging of VTE a

[Touch-packages] [Bug 1946499] Re: installation of deb-packages with gdebi-gtk shows "dpkg: error: unable to read filedescriptor flags for : Bad file descr

2021-10-14 Thread Gunnar Hjalmarsson
Please.. Downgrading VTE for this reason won't happen. Many other packages are built with the latest version (running "apt rdepends libvte-2.91-0" gives you a hint). Rewriting the patch or fix gdebi so the patch isn't needed on Ubuntu are two reasonable options. If you want to help fix this,

[Touch-packages] [Bug 1946499] Re: installation of deb-packages with gdebi-gtk shows "dpkg: error: unable to read filedescriptor flags for : Bad file descr

2021-10-14 Thread Gunnar Hjalmarsson
On 2021-10-14 12:31, Norbert wrote: > Tried to compile package from debian bookworm That was one of the first things I tried, but IIRC I still got the "unable to read filedescriptor flags" error. Which is a bit weird, considering that it works in a Debian environment. > Then when `gdebi-gtk

[Touch-packages] [Bug 1946499] Re: installation of deb-packages with gdebi-gtk shows "dpkg: error: unable to read filedescriptor flags for : Bad file descr

2021-10-12 Thread Gunnar Hjalmarsson
Probably not. The hirsute version of vte2.91 does not even build on impish. For gdebi-gtk to keep working, somebody probably needs to * rewrite 91_keep_fds.patch, or * fix gdebi so it works without that patch. Also I can't stop wondering why gdebi-gtk works on Debian testing without

[Touch-packages] [Bug 1946499] Re: installation of deb-packages with gdebi-gtk shows "dpkg: error: unable to read filedescriptor flags for : Bad file descr

2021-10-12 Thread Gunnar Hjalmarsson
A related comment in #ubuntu-desktop: https://irclogs.ubuntu.com/2021/10/12/%23ubuntu-desktop.html#t15:12 ** Changed in: vte2.91 (Ubuntu) Assignee: Gunnar Hjalmarsson (gunnarhj) => (unassigned) -- You received this bug notification because you are a member of Ubuntu Touch seeded packa

[Touch-packages] [Bug 1946499] Re: installation of deb-packages with gdebi-gtk shows "dpkg: error: unable to read filedescriptor flags for : Bad file descr

2021-10-12 Thread Gunnar Hjalmarsson
This is an attempt at a fix which does not work: https://launchpad.net/~gunnarhj/+archive/ubuntu/vte2.91/+packages -- You received this bug notification because you are a member of Ubuntu Touch seeded packages, which is subscribed to gdebi in Ubuntu. https://bugs.launchpad.net/bugs/1946499

[Touch-packages] [Bug 1946499] Re: installation of deb-packages with gdebi-gtk shows "dpkg: error: unable to read filedescriptor flags for : Bad file descr

2021-10-12 Thread Gunnar Hjalmarsson
Confirmed that gdebi-gtk works on Debian testing (without 91_keep_fds.patch). So the need for that patch is Ubuntu specific somehow. (Not sure how that helps, but I thought it was worth checking.) -- You received this bug notification because you are a member of Ubuntu Touch seeded packages,

[Touch-packages] [Bug 1946499] Re: installation of deb-packages with gdebi-gtk shows "dpkg: error: unable to read filedescriptor flags for : Bad file descr

2021-10-12 Thread Gunnar Hjalmarsson
Hi! I can confirm the problem with gdebi-gtk, as already described by Norbert. The patch is apparently a workaround since nobody has had the time to adapt gdebi. My refresh in the latest Ubuntu upload of vte2.91 was a minimum change to make it still apply after upstream had made changes. Maybe I

[Touch-packages] [Bug 1945817] Re: Change default Amharic font from Abyssinica SIL to Noto Serif Ethiopic

2021-10-06 Thread Gunnar Hjalmarsson
** Changed in: language-selector (Ubuntu) Status: In Progress => Fix Committed ** No longer affects: ubuntu-meta (Ubuntu) -- You received this bug notification because you are a member of Ubuntu Touch seeded packages, which is subscribed to ubuntu-meta in Ubuntu.

[Touch-packages] [Bug 1945817] Re: Change default Amharic font from Abyssinica SIL to Noto Serif Ethiopic

2021-10-05 Thread Gunnar Hjalmarsson
Hey @carnage-mode, where did you go? ;) I have looked a bit more into this, and my understanding is that there are two packages — fonts-sil-abyssinica and fonts-freefont-ttf — with fonts which can render Amharic and which are installed by default on Ubuntu. But only by installing

[Touch-packages] [Bug 1945894] Re: Translated strings not imported from damned lies

2021-10-04 Thread Gunnar Hjalmarsson
@Ask: If you want to talk more about the translation related workflow, please feel free to post to the ubuntu-translators mailing list. https://lists.ubuntu.com/mailman/listinfo/ubuntu-translators ** Changed in: ubuntu-translations Status: Incomplete => Invalid -- You received this bug

[Touch-packages] [Bug 1945817] Re: Change default Amharic font from Abyssinica SIL to Noto Serif Ethiopic

2021-10-04 Thread Gunnar Hjalmarsson
nguage-selector (Ubuntu) Assignee: (unassigned) => Gunnar Hjalmarsson (gunnarhj) ** Changed in: ubuntu-meta (Ubuntu) Importance: Undecided => Wishlist ** Changed in: ubuntu-meta (Ubuntu) Status: New => In Progress ** Changed in: ubuntu-meta (Ubuntu) Assignee: (unassigned)

[Touch-packages] [Bug 1945894] Re: Translated strings not imported from damned lies

2021-10-03 Thread Gunnar Hjalmarsson
Thanks for your report! We don't import translations directly from Damned Lies, but via the PO files in upstream's tarballs. The latest gtk3 version in Ubuntu is 3.24.30 which was released on July 8. So if those strings were translated after July 8, they are not yet in Ubuntu due to the

[Touch-packages] [Bug 1921781] Re: Build-depends on qt5-default which is obsolete and dropped in hirsute

2021-09-29 Thread Gunnar Hjalmarsson
** Changed in: indicator-sound (Ubuntu) Status: Confirmed => Fix Committed -- You received this bug notification because you are a member of Ubuntu Touch seeded packages, which is subscribed to signon-ui in Ubuntu. https://bugs.launchpad.net/bugs/1921781 Title: Build-depends on

[Touch-packages] [Bug 1921781] Re: Build-depends on qt5-default which is obsolete and dropped in hirsute

2021-09-29 Thread Gunnar Hjalmarsson
@Khurshid: Please see comment on the merge request. -- You received this bug notification because you are a member of Ubuntu Touch seeded packages, which is subscribed to signon-ui in Ubuntu. https://bugs.launchpad.net/bugs/1921781 Title: Build-depends on qt5-default which is obsolete and

[Touch-packages] [Bug 1944430] Re: ibus-extension-gtk3 crashed with SIGABRT in g_assertion_message_expr()

2021-09-21 Thread Gunnar Hjalmarsson
Thanks for your report. The information is somewhat contradictory, though: On 2021-09-21 14:42, Christian Kirbach wrote: > Crash information appeared at Ubuntu Unity desktop startup ---^ > CurrentDesktop: ubuntu:GNOME -^ So

[Touch-packages] [Bug 1921781] Re: Build-depends on qt5-default which is obsolete and dropped in hirsute

2021-09-07 Thread Gunnar Hjalmarsson
@Khurshid: indicator-sound was last built several cycles ago. When trying to build in impish, I met problems which I think go beyond that qt5-default b-d. (Over my head - gave up.) -- You received this bug notification because you are a member of Ubuntu Touch seeded packages, which is subscribed

[Touch-packages] [Bug 1761382] Re: Unable to connect to ibus: Could not connect: Connection refused

2021-09-05 Thread Gunnar Hjalmarsson
I can't reproduce this on the 21.10 development version of Ubuntu. Would anybody mind if we close this bug report? ** Changed in: gnome-shell (Ubuntu) Status: Confirmed => Incomplete ** Changed in: ibus (Ubuntu) Status: Confirmed => Incomplete -- You received this bug

[Touch-packages] [Bug 1900640] Re: Ubuntu 20.04 has no capability of surrounding-text feature

2021-09-05 Thread Gunnar Hjalmarsson
According to upstream this is an issue with Google Chrome and gnome- terminal and not IBus. A workaround when using ibus-libthai is to choose the "No Check" option under the "Input sequence check mode" category. ** Changed in: ibus (Ubuntu) Importance: Medium => Undecided ** Changed in: ibus

[Touch-packages] [Bug 1922186] Re: ibus very difficult to restart

2021-09-05 Thread Gunnar Hjalmarsson
The behavior when starting ibus-daemon from IBus Preferences was fixed in ibus 1.5.25-2. ** Changed in: ibus (Ubuntu) Status: Confirmed => Fix Released -- You received this bug notification because you are a member of Ubuntu Touch seeded packages, which is subscribed to ibus in Ubuntu.

[Touch-packages] [Bug 1939413] Re: /usr/lib/aarch64-linux-gnu/libprotobuf.a’ generated with LTO version 9.2 instead of the expected 11.0

2021-09-04 Thread Gunnar Hjalmarsson
While the rebuild allowed for mozc to build on arm64, as Matthias pointed out there is a root cause that remains to be dealt with, so re- opening. ** Changed in: protobuf (Ubuntu) Status: Fix Released => Triaged -- You received this bug notification because you are a member of Ubuntu

[Touch-packages] [Bug 1756547] Re: LP refuses to import plural strings where e.g. msgstr[0] entries in PO file miss %d

2021-09-02 Thread Gunnar Hjalmarsson
Go to: https://translations.launchpad.net/ubuntu/impish/+source/gnome- shell/+imports and open the info for e.g. po/kk.po. It tells you that this part from the PO file was not imported: #~ msgid "%d new message" #~ msgid_plural "%d new messages" #~ msgstr[0] "%d жаңа хабарлама" #~ msgid "%d

[Touch-packages] [Bug 1756547] Re: LP refuses to import plural strings where e.g. msgstr[0] entries in PO file miss %d

2021-09-01 Thread Gunnar Hjalmarsson
I uploaded gnome-shell without the workaround. The original problem, i.e. refusal to import msgstr[0] strings without %d, is not present any longer. It complains about the Turkish PO file, but those complaints are probably motivated due to absent msgstr[1] lines in the upstream PO. Other

[Touch-packages] [Bug 1756547] Re: LP refuses to import plural strings where e.g. msgstr[0] entries in PO file miss %d

2021-08-28 Thread Gunnar Hjalmarsson
Re-opening — see bug #1941954 ** Changed in: gnome-shell (Ubuntu) Status: Fix Released => In Progress -- You received this bug notification because you are a member of Ubuntu Touch seeded packages, which is subscribed to gettext in Ubuntu. https://bugs.launchpad.net/bugs/1756547 Title:

[Touch-packages] [Bug 1939413] Re: /usr/lib/aarch64-linux-gnu/libprotobuf.a’ generated with LTO version 9.2 instead of the expected 11.0

2021-08-12 Thread Gunnar Hjalmarsson
Thanks for reporting this, Heinrich! It looks like protobuf needs to be built with gcc-11. ** Changed in: protobuf (Ubuntu) Status: New => Fix Committed ** Changed in: protobuf (Ubuntu) Assignee: (unassigned) => Gunnar Hjalmarsson (gunnarhj) ** Changed in: mozc (

[Touch-packages] [Bug 1939413] Re: /usr/lib/aarch64-linux-gnu/libprotobuf.a’ generated with LTO version 9.2 instead of the expected 11.0

2021-08-11 Thread Gunnar Hjalmarsson
This is an example build log: https://launchpadlibrarian.net/552672484/buildlog_ubuntu-impish- arm64.mozc_2.26.4220.100+dfsg-4ubuntu3_BUILDING.txt.gz from the impish test rebuild: https://lists.ubuntu.com/archives/ubuntu-devel- announce/2021-August/001294.html -- You received this bug

[Touch-packages] [Bug 1939413] Re: /usr/lib/aarch64-linux-gnu/libprotobuf.a’ generated with LTO version 9.2 instead of the expected 11.0

2021-08-11 Thread Gunnar Hjalmarsson
** Also affects: mozc (Ubuntu) Importance: Undecided Status: New ** Tags added: ftbfs impish -- You received this bug notification because you are a member of Ubuntu Touch seeded packages, which is subscribed to protobuf in Ubuntu. https://bugs.launchpad.net/bugs/1939413 Title:

[Touch-packages] [Bug 1931994] Re: [Ubuntu 20.04] OpenSSL bugs in the s390x AES code

2021-08-09 Thread Gunnar Hjalmarsson
I mean (for respective series): * Accomplish the steps in the Test Plan * Disclose the result in a comment here * Change the verification-needed- tag to verification-done- See comment #22 - #24. -- You received this bug notification because you are a member of Ubuntu Touch seeded packages,

[Touch-packages] [Bug 1931994] Re: [Ubuntu 20.04] OpenSSL bugs in the s390x AES code

2021-08-08 Thread Gunnar Hjalmarsson
@Simon: You know that the packages in respective -proposed pocket need to be verified too, right? -- You received this bug notification because you are a member of Ubuntu Touch seeded packages, which is subscribed to openssl in Ubuntu. https://bugs.launchpad.net/bugs/1931994 Title: [Ubuntu

[Touch-packages] [Bug 1931994] Re: [Ubuntu 20.04] OpenSSL bugs im s390x AES code

2021-07-27 Thread Gunnar Hjalmarsson
I re-run the failed tests, and both of them passed on the second attempt, so it should migrate on impish soon. The SRUs are now uploaded, following Brian's advice with respect to hirsute. @Simon: Good if you can unsubscribe ubuntu-sponsors. ** Changed in: openssl (Ubuntu Hirsute) Status:

[Touch-packages] [Bug 1931994] Re: [Ubuntu 20.04] OpenSSL bugs im s390x AES code

2021-07-27 Thread Gunnar Hjalmarsson
@Simon: autopkgtest for mosquitto and puma fails on s390x. https://people.canonical.com/~ubuntu-archive/proposed- migration/update_excuses.html#openssl Please investigate. -- You received this bug notification because you are a member of Ubuntu Touch seeded packages, which is subscribed to

[Touch-packages] [Bug 1937922] Re: gtk4 not built for i386

2021-07-27 Thread Gunnar Hjalmarsson
gtk4 has now been built on i386 - thanks Steve! - and I have uploaded ibus with gtk4 support (needs to be approved in the NEW queue). -- You received this bug notification because you are a member of Ubuntu Touch seeded packages, which is subscribed to ibus in Ubuntu.

[Touch-packages] [Bug 1937922] Re: gtk4 not built for i386

2021-07-27 Thread Gunnar Hjalmarsson
** Also affects: gtk4 (Ubuntu) Importance: Undecided Status: New ** Changed in: gtk4 (Ubuntu) Status: New => Fix Released ** Changed in: ibus (Ubuntu) Status: New => In Progress -- You received this bug notification because you are a member of Ubuntu Touch seeded

[Touch-packages] [Bug 1931994] Re: [Ubuntu 20.04] OpenSSL bugs im s390x AES code

2021-07-26 Thread Gunnar Hjalmarsson
Sponsored impish for now. As regards the SRUs, I suppose that the block-proposed-hirsute tag set at bug #1927161 needs to be removed. Also, should the test plan be expanded to include the test script which bugproxy added? ** Changed in: openssl (Ubuntu Impish) Status: New => Fix Committed

[Touch-packages] [Bug 1937922] Re: gtk4 not built for i386

2021-07-26 Thread Gunnar Hjalmarsson
@Steve: I suppose this is now a request to add gtk4 to the whitelist, so I subscribed ubuntu-archive. I can't tell if any of the current i386 packages will use gtk4. But ibus needs gtk4 when building to be able to enable gtk4 support, and it would be convenient to not need to special case i386

[Touch-packages] [Bug 1937922] Re: gtk4 not built for i386

2021-07-26 Thread Gunnar Hjalmarsson
https://irclogs.ubuntu.com/2021/07/26/%23ubuntu-desktop.html#t12:23 -- You received this bug notification because you are a member of Ubuntu Touch seeded packages, which is subscribed to ibus in Ubuntu. https://bugs.launchpad.net/bugs/1937922 Title: gtk4 not built for i386 Status in ibus

[Touch-packages] [Bug 1937922] [NEW] gtk4 not built for i386

2021-07-24 Thread Gunnar Hjalmarsson
Public bug reported: I'm trying to enable GTK 4 when building ibus: https://launchpad.net/~gunnarhj/+archive/ubuntu/ibus2/+packages Up to now ibus has been built also on i386, but gtk4 has not been built on that arch, so the i386 build fails due to missing build dependencies. Is it time to

[Touch-packages] [Bug 1922186] Re: ibus very difficult to restart

2021-06-09 Thread Gunnar Hjalmarsson
Hey, how about getting a more constructive hobby than killing various important processes on your system? ;) More seriously: I'm not sure that "ibus restart" is intended to handle such situations. But please feel free to comment on the issue I submitted — the upstream maintainer hasn't attended

[Touch-packages] [Bug 1928360] Re: Switch to Fcitx 5 for Chinese

2021-06-04 Thread Gunnar Hjalmarsson
I presented the snap problem for James Henstridge, and he gave me a very useful hint: The Chromium snap makes use of the bionic library stack (the gnome-3-28-1804 snap) including the im module installed by fcitx- frontend-gtk3, i.e. the fcitx 4 gtk im module. That made me think of

[Touch-packages] [Bug 1930145] Re: IBus Panel Show Icon on system tray doesn't persist

2021-06-04 Thread Gunnar Hjalmarsson
I noticed that the issue is present also on Kubuntu 20.04, so it has been there for a while. It's not present on Ubuntu MATE, though, which indicates that it's a KDE issue rather than an ibus one. But @Cory, it would be good if you could clarify why it is a problem. In short: Why do you want to

[Touch-packages] [Bug 1930145] Re: IBus Panel Show Icon on system tray doesn't persist

2021-05-30 Thread Gunnar Hjalmarsson
Thanks for your report! Yes, it doesn't seem to honor the "Show icon on system tray" setting at login. Can't tell ATM if ibus or KDE is responsible for that. With that said, and considering that you prefer it to not be shown, I can't help suspecting that ibus is running unnecessarily on your

[Touch-packages] [Bug 1928360] Re: Switch to Fcitx 5 for Chinese

2021-05-23 Thread Gunnar Hjalmarsson
@Seth: I suppose that the DENIED file I attached in comment #7 does not help much. Fcitx 5 is a separate process, i.e. /usr/bin/fcitx5 as opposed to /usr/bin/fcitx. When in Chromium it behaves as if fcitx5 does not exist, even if the process runs and I can use fcitx5 in other applications. I

[Touch-packages] [Bug 1928360] Re: Switch to Fcitx 5 for Chinese

2021-05-20 Thread Gunnar Hjalmarsson
Thanks handsome_feng! The Kylin discussion makes me confident that it's fine for Lubuntu as well. The Lubuntu situation is different, though, since im-config is disabled by default unless a Chinese locale is in effect. This discourse topic comes to mind:

[Touch-packages] [Bug 1928360] Re: Switch to Fcitx 5 for Chinese

2021-05-20 Thread Gunnar Hjalmarsson
On 2021-05-20 15:39, handsome_feng wrote: > With the fcitx items in the current seed, I think pkg_depends don't > need to pull in the fcitx 4 packages for Ubuntu Kylin 21.10, Ok, good. > also it's okay to pull in the fcitx 5 packages, since the im-config > will set the default input method to

[Touch-packages] [Bug 1928360] Re: Switch to Fcitx 5 for Chinese

2021-05-20 Thread Gunnar Hjalmarsson
@handsome_feng: Great! I have a follow-up question then: In the desktop seed of Ubuntu Kylin I see these packages: * (im-config) * (fcitx) * (fcitx-frontend-gtk2) * (fcitx-frontend-gtk3) * (fcitx-frontend-qt5) * (fcitx-ui-classic) * (fcitx-table) * (fcitx-module-cloudpinyin) *

[Touch-packages] [Bug 1928360] Re: Switch to Fcitx 5 for Chinese

2021-05-20 Thread Gunnar Hjalmarsson
@handsome_feng: I suppose it is possible. Of course it would have been desirable to do it in 21.10 to get more time to identify possible issues before next LTS, but OTOH I know that Sogou is considered important on Kylin. Thinking... Maybe we can have it both ways. :) What I mean is that we could

[Touch-packages] [Bug 1928360] Re: Switch to Fcitx 5 for Chinese

2021-05-18 Thread Gunnar Hjalmarsson
Sure, Seth, attached please find the output from cat /var/log/audit/audit.log | grep DENIED ** Attachment added: "apparmor_denied-lines_chromium.txt" https://bugs.launchpad.net/ubuntu/+source/language-selector/+bug/1928360/+attachment/5498578/+files/apparmor_denied-lines_chromium.txt --

[Touch-packages] [Bug 1928360] Re: Switch to Fcitx 5 for Chinese

2021-05-18 Thread Gunnar Hjalmarsson
On 2021-05-16 22:23, Gunnar Hjalmarsson wrote: > As regards apparmor it's possible that no change is needed. Well, I simply tested with the Chromium snap. fcitx5 does not work in Chromium, while fcitx4 does. So something needs to be done. -- You received this bug notification because

[Touch-packages] [Bug 1856738] Re: access always denied when using @{HOME} tunable in peer_addr for abstract socket

2021-05-17 Thread Gunnar Hjalmarsson
On 2021-05-17 16:06, Rüdiger Kupper wrote: > Is this issue related to Bug #1890905? Well, it was me who suggested that. Maybe I should rather have pointed to the rather old bug #1423890, which includes a link to a mailing list discussion. -- You received this bug notification because you are a

[Touch-packages] [Bug 1928360] Re: Switch to Fcitx 5 for Chinese

2021-05-16 Thread Gunnar Hjalmarsson
As regards apparmor it's possible that no change is needed. fcitx5 creates the folder ~/.config/fcitx/dbus (i.e. not ~/.config/fcitx5/dbus) with a long file name whose contents is "unix:path=/run/user/1000/bus". Not sure how to safely confirm that, though. -- You received this bug notification

[Touch-packages] [Bug 1928360] Re: Switch to Fcitx 5 for Chinese

2021-05-16 Thread Gunnar Hjalmarsson
I submitted a merge proposal with suggested changes to language-selector (pkg_depends). Please review and give feedback. ** Changed in: language-selector (Ubuntu) Status: New => In Progress ** Changed in: language-selector (Ubuntu) Assignee: (unassigned) => Gunnar Hjalm

  1   2   3   4   5   6   7   8   9   10   >